<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_g"></a>- g -</h3><ul>
<li>genstatus()
: <a class="el" href="classeic_1_1_const_m_c_particle.html#a4628fb384b88d8b3774151c71351a794">eic::ConstMCParticle</a>
, <a class="el" href="classeic_1_1_m_c_particle.html#a6838feed01c9051e89da926363a61ff4">eic::MCParticle</a>
, <a class="el" href="classeic_1_1_m_c_particle_collection.html#abd8a939f84ae2dddefcc85f14c29fdef">eic::MCParticleCollection</a>
</li>
<li>getBufferAddress()
: <a class="el" href="classeic_1_1_calorimeter_hit_collection.html#af68529a9c2d4706567476b26e35eab69">eic::CalorimeterHitCollection</a>
, <a class="el" href="classeic_1_1_cluster_collection.html#aba7f480a72fdc9063a5276f8d20140e4">eic::ClusterCollection</a>
, <a class="el" href="classeic_1_1_m_c_particle_collection.html#a8344a3352ae7f2c684fd645170203ed3">eic::MCParticleCollection</a>
, <a class="el" href="classeic_1_1_particle_collection.html#a5c196c5bf90732b41c9fbdd49b591a09">eic::ParticleCollection</a>
, <a class="el" href="classeic_1_1_raw_calorimeter_hit_collection.html#a5fae07e5a3ca360e628462ac1e2c5698">eic::RawCalorimeterHitCollection</a>
, <a class="el" href="classeic_1_1_raw_tracker_hit_collection.html#a474b33d636f11002aa0c583f38293625">eic::RawTrackerHitCollection</a>
, <a class="el" href="classeic_1_1_reconstructed_particle_collection.html#a449e6beef4f2289ed152b159c853e6e2">eic::ReconstructedParticleCollection</a>
, <a class="el" href="classeic_1_1_track_collection.html#aeb3d6905798d23526cb0d25d9de54d90">eic::TrackCollection</a>
, <a class="el" href="classeic_1_1_tracker_data_collection.html#a87f11b22ec16d2a6d2f9f5744f4517aa">eic::TrackerDataCollection</a>
, <a class="el" href="classeic_1_1_tracker_hit_collection.html#a6fead6fc3052fa9cde561eafa59994b0">eic::TrackerHitCollection</a>
, <a class="el" href="classeic_1_1_tracker_pulse_collection.html#a0527e8eef558df29dac3d03c6d3d3e2f">eic::TrackerPulseCollection</a>
, <a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a9491868a7b9ce212f19a0be29de7ddc4">eic::TrackerRawDataCollection</a>
, <a class="el" href="classeic_1_1_track_state_collection.html#adffd0ee5d1bcd08e90fa96f4d6a85cf6">eic::TrackStateCollection</a>
, <a class="el" href="classeic_1_1_vertex_collection.html#aa57d44daa0662dd7ba369e9450a169a7">eic::VertexCollection</a>
</li>
<li>getID()
: <a class="el" href="classeic_1_1_calorimeter_hit_collection.html#a3bbc1d7d2477c8ceee38a1ade73a7a3c">eic::CalorimeterHitCollection</a>
, <a class="el" href="classeic_1_1_cluster_collection.html#ac33eb7f94023db3336e0c3a681a74179">eic::ClusterCollection</a>
, <a class="el" href="classeic_1_1_m_c_particle_collection.html#ac55b0b9d1f7a0697bdc1de8a0e6c0f35">eic::MCParticleCollection</a>
, <a class="el" href="classeic_1_1_particle_collection.html#abebbe296deef8369bdaeba4b3fe56ac3">eic::ParticleCollection</a>
, <a class="el" href="classeic_1_1_raw_calorimeter_hit_collection.html#a42600f45bbf37105b9dee3fdbafde368">eic::RawCalorimeterHitCollection</a>
, <a class="el" href="classeic_1_1_raw_tracker_hit_collection.html#a71b4b8c53aebec6eb3af04cf2d1a13d2">eic::RawTrackerHitCollection</a>
, <a class="el" href="classeic_1_1_reconstructed_particle_collection.html#ab4bf52a6d5a6a2371a2a36d56635557c">eic::ReconstructedParticleCollection</a>
, <a class="el" href="classeic_1_1_track_collection.html#a8458dd57f410d19e2cc1da95ac869797">eic::TrackCollection</a>
, <a class="el" href="classeic_1_1_tracker_data_collection.html#a7b77ceb059eaaf88b48a7a98b7f3af44">eic::TrackerDataCollection</a>
, <a class="el" href="classeic_1_1_tracker_hit_collection.html#a1a62c64544f31e4c787b7c1570a731aa">eic::TrackerHitCollection</a>
, <a class="el" href="classeic_1_1_tracker_pulse_collection.html#ab5e5450e78c05eeb3e700afd1d7fe7c6">eic::TrackerPulseCollection</a>
, <a class="el" href="classeic_1_1_tracker_raw_data_collection.html#a0387d13e296829b4d089ecbfe700cf22">eic::TrackerRawDataCollection</a>
, <a class="el" href="classeic_1_1_track_state_collection.html#a502e5818a00d6a299fdf98ab599e4fca">eic::TrackStateCollection</a>
, <a class="el" href="classeic_1_1_vertex_collection.html#ad6dbc2ec94612db732b31022b43bfd30">eic::VertexCollection</a>
</li>
<li>getObjectID()
: <a class="el" href="classeic_1_1_calorimeter_hit.html#a1266476a1b1f116c3484fbd10e4a6840">eic::CalorimeterHit</a>
, <a class="el" href="classeic_1_1_cluster.html#a08f82fb9b3144d6e4d9cb0071b68759c">eic::Cluster</a>
, <a class="el" href="classeic_1_1_const_calorimeter_hit.html#a36a7537b542fcc094e050f701d1da480">eic::ConstCalorimeterHit</a>
, <a class="el" href="classeic_1_1_const_cluster.html#aba7f1304402caeda4b15bdb243904ad7">eic::ConstCluster</a>
, <a class="el" href="classeic_1_1_const_m_c_particle.html#ad5fe44b7d0335a7c9a038819d13de46c">eic::ConstMCParticle</a>
, <a class="el" href="classeic_1_1_const_particle.html#a389ba46589dec62ac7384e7ba76f3d78">eic::ConstParticle</a>
, <a class="el" href="classeic_1_1_const_raw_calorimeter_hit.html#a54b6b4bb73765dc4bc0e0216823cf907">eic::ConstRawCalorimeterHit</a>
, <a class="el" href="classeic_1_1_const_raw_tracker_hit.html#a3a0c36eb357669f33f9a379dd68938a0">eic::ConstRawTrackerHit</a>
, <a class="el" href="classeic_1_1_const_reconstructed_particle.html#a57f0cf48f3fba5387b43e49b38b60947">eic::ConstReconstructedParticle</a>
, <a class="el" href="classeic_1_1_const_track.html#ab5cd2340253ed15ed38c1e6cfcdf4f05">eic::ConstTrack</a>
, <a class="el" href="classeic_1_1_const_tracker_data.html#ab31d66d0453483425ce6b09af7e3140e">eic::ConstTrackerData</a>
, <a class="el" href="classeic_1_1_const_tracker_hit.html#aa755d1654f85cb339d336f72211dc526">eic::ConstTrackerHit</a>
, <a class="el" href="classeic_1_1_const_tracker_pulse.html#a8e4c306e1d9ec7a0b69e8c0a5c2d7a2a">eic::ConstTrackerPulse</a>
, <a class="el" href="classeic_1_1_const_tracker_raw_data.html#a820efd795bbaffcbe54dacff6d26aeb4">eic::ConstTrackerRawData</a>
, <a class="el" href="classeic_1_1_const_track_state.html#a8904e788466197b564802aa37a5ee1e7">eic::ConstTrackState</a>
, <a class="el" href="classeic_1_1_const_vertex.html#a41d5a304441e3bd86aace5fa22a89dc9">eic::ConstVertex</a>
, <a class="el" href="classeic_1_1_m_c_particle.html#a01a8039a3380d33dbb576c9243c6d0fc">eic::MCParticle</a>
, <a class="el" href="classeic_1_1_particle.html#af7f3426057163bdc0272cb6a999a9f4a">eic::Particle</a>
, <a class="el" href="classeic_1_1_raw_calorimeter_hit.html#a31d2d422ea7d316cd6983a62b5f6be5d">eic::RawCalorimeterHit</a>
, <a class="el" href="classeic_1_1_raw_tracker_hit.html#af7083e995e92369a4050ae2531a94c75">eic::RawTrackerHit</a>
, <a class="el" href="classeic_1_1_reconstructed_particle.html#a29e249b45bac2a27feca360e29d6265d">eic::ReconstructedParticle</a>
, <a class="el" href="classeic_1_1_track.html#a94e4ceedf446f0da8c5414934e266db1">eic::Track</a>
, <a class="el" href="classeic_1_1_tracker_data.html#a374d0ade6e7cc6061aedfde56c21a985">eic::TrackerData</a>
, <a class="el" href="classeic_1_1_tracker_hit.html#acfb04d137bad412262516ac2614c52f5">eic::TrackerHit</a>
, <a class="el" href="classeic_1_1_tracker_pulse.html#a4d8cf86215e2cc728918d1b34f66ce5b">eic::TrackerPulse</a>
, <a class="el" href="classeic_1_1_tracker_raw_data.html#a40e0d3df4e5f584214a88bd37cc628c6">eic::TrackerRawData</a>
, <a class="el" href="classeic_1_1_track_state.html#ab6fbadc02504302dcd4311f28e6f0e69">eic::TrackState</a>
, <a class="el" href="classeic_1_1_vertex.html#a5fc7a99bf2445e0814f224438f7fe797">eic::Vertex</a>
</li>
<li>getValueTypeName()
: <a class="el" href="classeic_1_1_calorimeter_hit_collection.html#a39d1a5b9c5a48152b18a04213c11b6fb">eic::CalorimeterHitCollection</a>
, <a class="el" href="classeic_1_1_cluster_collection.html#ac91872741f4dbbdf776ff9b6752dcef4">eic::ClusterCollection</a>
, <a class="el" href="classeic_1_1_m_c_particle_collection.html#a83bdd7d2e8c22831ecf5352434fe01cc">eic::MCParticleCollection</a>
, <a class="el" href="classeic_1_1_particle_collection.html#a62bef15e4ae6794b4a852327cae1faab">eic::ParticleCollection</a>
, <a class="el" href="classeic_1_1_raw_calorimeter_hit_collection.html#ad8a3dc06e5ab594880d6b4f17769df94">eic::RawCalorimeterHitCollection</a>
, <a class="el" href="classeic_1_1_raw_tracker_hit_collection.html#ae133acc129e152c0297531f79789abbf">eic::RawTrackerHitCollection</a>
, <a class="el" href="classeic_1_1_reconstructed_particle_collection.html#af584baa88a64e6cedaf082378eb71515">eic::ReconstructedParticleCollection</a>
, <a class="el" href="classeic_1_1_track_collection.html#a8395ce01a0a8d3ac19dc1da3c68ed190">eic::TrackCollection</a>
, <a class="el" href="classeic_1_1_tracker_data_collection.html#abe819448f4f94d698db48250b6467c97">eic::TrackerDataCollection</a>
, <a class="el" href="classeic_1_1_tracker_hit_collection.html#aa5ef85373afde7b558ddab0f1501054f">eic::TrackerHitCollection</a>
, <a class="el" href="classeic_1_1_tracker_pulse_collection.html#a8ac29133b859a23a0d1423b974c603b7">eic::TrackerPulseCollection</a>
, <a class="el" href="classeic_1_1_tracker_raw_data_collection.html#ad3fe7c2d4238c3b8203b371664df681a">eic::TrackerRawDataCollection</a>
, <a class="el" href="classeic_1_1_track_state_collection.html#acbc41418aba11046c55ed9f0827ce224">eic::TrackStateCollection</a>
, <a class="el" href="classeic_1_1_vertex_collection.html#ac36518f94a9754e4c96aedd73b9b19aa">eic::VertexCollection</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
